Description

In order to pass mpd specific attributes from Freeradius to, for example, provide rate limits to PPPoE clients a dictionary file needs to

exist defining them.

Adding /usr/local/share/freeradius/dictionary.mpd

#----------------------------------------------------------

# dictionary.mpd                                                                                  

 

VENDOR          mpd             12341                                                             

 

BEGIN-VENDOR    mpd

ATTRIBUTE    mpd-rule    1    string

ATTRIBUTE    mpd-pipe    2    string

ATTRIBUTE    mpd-queue    3    string

ATTRIBUTE    mpd-table    4    string

ATTRIBUTE    mpd-table-static    5    string

ATTRIBUTE    mpd-filter    6    string

ATTRIBUTE    mpd-limit    7    string

ATTRIBUTE    mpd-input-octets    8    string

ATTRIBUTE    mpd-input-packets    9    string

ATTRIBUTE    mpd-output-octets    10    string

ATTRIBUTE    mpd-output-packets    11    string

ATTRIBUTE    mpd-link    12    string

ATTRIBUTE    mpd-bundle    13    string

ATTRIBUTE    mpd-iface    14    string

ATTRIBUTE    mpd-iface-index    15    integer

ATTRIBUTE    mpd-input-acct    16    string

ATTRIBUTE    mpd-output-acct    17    string

ATTRIBUTE    mpd-action    18    string

ATTRIBUTE    mpd-peer-ident    19    string

ATTRIBUTE    mpd-iface-name    20    string

ATTRIBUTE    mpd-iface-descr    21    string

ATTRIBUTE    mpd-iface-group    22    string

ATTRIBUTE    mpd-drop-user    154    integer

END-VENDOR    mpd

#----------------------------------------------------------

 Then adding the line:

$INCLUDE dictionary.mpd

 to /usr/local/share/freeradius/dictionary

Should allow that.
See: https://forum.netgate.com/topic/141034/rate-limit-on-radius-reply-attributes-for-pppoe-connections-not-working

I note that though this was created and suggested in the Freeradius lists on 2009 it does not appear to have been added:

http://lists.freeradius.org/pipermail/freeradius-devel/2009-July/004732.html

And the Enterprise code 12341 seems unrelated. Still an outstanding issue here:

https://sourceforge.net/p/mpd/discussion/44692/thread/0271b9c0/

History

#1 - 11/26/2020 12:05 AM - Viktor Gurov

https://gitlab.netgate.com/pfSense/FreeBSD-ports/-/merge_requests/11

#2 - 11/30/2020 08:18 AM - Jim Pingle

- Status changed from New to Pull Request Review

- Target version deleted (Future)

#3 - 01/08/2021 10:45 AM - Renato Botelho

- Status changed from Pull Request Review to Feedback

- Assignee set to Viktor Gurov

PR has been merged.  Thanks!

#4 - 01/23/2021 08:35 AM - Viktor Gurov

- Status changed from Feedback to Resolved

dictionary.mpd is included
